Portage Problem

Anything that pertains to Portage

Moderator: Moderators

Portage Problem

Postby BASH » Tue Aug 05, 2008 21:03

I need to figure out what my stupid is...Been a while since I started from the beginning.I am using the 3.5 POD version and I started up with emerge --sync && layman -S. I'll probably have to wait to post that message(already did that once today), but I don't believe the overlays synced. I downloaded and unpacked the file from the press releases to my /var/db/pkg folder before that. I think about the only thing I could get to emerge was the gentoolkit...odd! Here is what the majority of an emerge looks like @ the end.
Code: Select all
configure: error: C preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-video/dvdauthor-0.6.14/work/dvdauthor-0.6.14/config.log
 * ERROR: media-video/dvdauthor-0.6.14 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2046:  Called econf
 *               ebuild.sh, line  538:  Called die
 * The specific snippet of code:
 *            die "econf failed"
 *  The die message:
 *   econf failed
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/media-video:dvdauthor-0.6.14:20080805-145659.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/dvdauthor-0.6.14/temp/environment'.


The C preprocessor fails sanity check everytime and then calls die. Maybe I'll see if I can reemerge the C libraries. I'm clueless. :? That means my C++ compiler is messed or missing?

Here is that section from the beginning...

Code: Select all
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for i586-pc-linux-gnu-gcc... i586-pc-linux-gnu-gcc
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i586-pc-linux-gnu-gcc accepts -g... yes
checking for i586-pc-linux-gnu-gcc option to accept ISO C89... unsupported
checking how to run the C preprocessor... /lib/cpp
configure: error: C preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.
 * ERROR: sys-libs/glibc-2.8_p20080602 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3393:  Called eblit-run 'src_compile'
 *             environment, line 1104:  Called eblit-glibc-src_compile
 *       src_compile.eblit, line  181:  Called toolchain-glibc_src_compile
 *       src_compile.eblit, line  120:  Called glibc_do_configure 'nptl'
 *       src_compile.eblit, line   97:  Called die
 * The specific snippet of code:
 *      "${S}"/configure ${myconf} || die "failed to configure glibc"
 *  The die message:
 *   failed to configure glibc
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/sys-libs:glibc-2.8_p20080602:20080805-152126.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.8_p20080602/temp/environment'.
BASH
Young Hen
 
Posts: 33
Joined: Wed Jul 02, 2008 16:25

Re: Portage Problem

Postby Thev00d00 » Tue Aug 05, 2008 21:39

Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: Portage Problem

Postby BASH » Tue Aug 05, 2008 22:09

Thanks! I'll check it out! :D
BASH
Young Hen
 
Posts: 33
Joined: Wed Jul 02, 2008 16:25

Re: Portage Problem

Postby BASH » Wed Aug 06, 2008 20:21

I did the above and I'm still having issues...besides my norm :oops: I wonder if its because I started doing it wrong from the get go-- I seen another post in here with similar issues and he fixed it by deleting and mkdir the distfile directory. That was no dice for me. I get sync errors as of now.There is a lot of stuff in portage that I want and need to get. Should I just uninstall portage and all of that stuff and start fresh on it?

Here is the output from this mornings sync:

Code: Select all
layman -S && emerge --sync
/usr/lib/portage/pym/portage/__init__.py:2771: DeprecationWarning: portage.config.has_key() is deprecated, use the in operator instead
  DeprecationWarning)
>>> Starting rsync with rsync://91.186.30.235/gentoo-portage...
>>> Checking server timestamp ...
Welcome to boobie.gentoo.org
 
Server Address : 91.186.30.249
Contact Name   : mirror-admin@gentoo.org
Hardware       : 2 x Intel(R) Xeon(R) CPU            3050  @ 2.13GHz, 3960MB RAM
 
Please note: common gentoo-netiquette says you should not sync more
than once a day.  Users who abuse the rsync.gentoo.org rotation
may be added to a temporary ban list.

MOTD autogenerated by update-rsync-motd on Tue Jun 17 09:09:37 UTC 2008

receiving incremental file list
timestamp.chk

Number of files: 1
Number of files transferred: 1
Total file size: 32 bytes
Total transferred file size: 32 bytes
Literal data: 32 bytes
Matched data: 0 bytes
File list size: 27
File list generation time: 0.001 seconds
File list transfer time: 0.000 seconds
Total bytes sent: 98
Total bytes received: 569

sent 98 bytes  received 569 bytes  266.80 bytes/sec
total size is 32  speedup is 0.05
Traceback (most recent call last):
  File "/usr/bin/emerge", line 9205, in <module>
    retval = emerge_main()
  File "/usr/bin/emerge", line 9157, in emerge_main
    action_sync(settings, trees, mtimedb, myopts, myaction)
  File "/usr/bin/emerge", line 7275, in action_sync
    exitcode = portage.portage_exec.spawn(mycommand,
AttributeError: 'module' object has no attribute 'portage_exec'


module object has no attribute portage_exec. That has me wondering about permissions and/or some linking gone awry?

I installed some things with spritz, and I was pleasantly surprised at the speed of execution with the binaries!Now to get portage working...
BASH
Young Hen
 
Posts: 33
Joined: Wed Jul 02, 2008 16:25

Re: Portage Problem

Postby Thev00d00 » Thu Aug 07, 2008 10:19

update portage if you can, the top error is because something is using a depreciated call but that is nothing to worry about, what is your portage version?

You could try a downgrade to 2.1 if you are running a 2.2 RC
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest